Subject: Re: [pim] Éric Vyncke's No Objection on draft-ietf-pim-igmp-mld-snooping-yang-17: (with COMMENT)

From: Hongji Zhao <[email-masked]>
Date: Wed, 12 Aug 2020 03:58:33 +0000

Hi Éric,

Thanks a lot for your comments. Please check inline.

BR/Hongji
赵宏吉

-----Original Message-----
From: Éric Vyncke via Datatracker <[email-masked]> 
Sent: Thursday, July 9, 2020 3:06 PM
To: The IESG <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; Stig Venaas <[email-masked]>; [email-masked]; [email-masked]
Subject: Éric Vyncke's No Objection on draft-ietf-pim-igmp-mld-snooping-yang-17: (with COMMENT)

Éric Vyncke has entered the following ballot position for
draft-ietf-pim-igmp-mld-snooping-yang-17: No Objection

== COMMENTS ==
I am not a big expert in MLD or WiFi, but, it seems to me that this YANG module covers only the important use case of switches. But, if not mistaken, some WiFi access points also do a similar job and translates L2 mcast addresses into a series of L2 unicast addresses. Was it considered in this model ?
[Authors] This YANG module is used to configure IGMP & MLD Snooping devices, and doesn't care the device type. The IGMP & MLD Snooping details are described in RFC 4541.

-- Section 1.1 --
English is not my native language, but, I have hard time to parse "mrouter:
multicast router, which means nodes attached to a switch have multicast routing enabled" is a switch or a router ?
[Authors] Would you think that the following rewording is ok?
"mrouter: multicast router, which is a router that has multicast routing enabled"

-- Section 2.3 --
No need to reply on this one, but, I really do not like separating the IPv4 and
IPv6 branches of the trees. It looks to me like doubling the operational cost but not sharing common properties; hence, diminishing the usefulness of this document. I made the same comment for RFC 8652 and there is really no need to repeat what I consider as mistakes.

-- Section 4 --
The description parts of the YANG module are quite short so I may have overlooked some parts of it... so bear with my two COMMENTs below:

1) for a MLD group, why having the mac-address leaf ? AFAIK, the mac-address is derived from the group IPv6 mcast address. Storing related information twice in a model looks bad to me (I am a big fan of the SQL normal forms...)
[Authors] This makes it more reliable.

2) some switches does not snoop MLD for link-local groups (sollicited node mcast for example). Is this feature listed in the list of features ?
[Authors] We don't support this feature, because it is not mentioned in RFC 4541. For now we leave it to the vendor augmentation.

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Wed, 19 Aug 2020 09:24:57 +0000

Hongji,

First sorry for belated reply but I was on holidays until now...

As already mentioned all my COMMENT points are non-blocking; so, I appreciate the time taken to reply to me.

I agree with some comments of yours but I am still unhappy (but again non-blocking) with:
- strict adherence to the old RFC 4541 and ignoring that most vendors have introduced extensions. If all those vendors end up in doing their own YANG augmented model, then I am afraid that this will not help the network operators at all.
- I am not sure that repeating a mac-address leaf for an IPv6 mcast group is a good idea (as they are linked together), I am probably a data science purist but this redundancy does not make things more reliable, it only introduces a risk of lack of integrity 

Thank you anyway for the model as well as for your reply

-éric

-----Original Message-----
From: Hongji Zhao <[email-masked]>
Date: Wednesday, 12 August 2020 at 05:58
To: Eric Vyncke <[email-masked]>, The IESG <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, Stig Venaas <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: RE: Éric Vyncke's No Objection on draft-ietf-pim-igmp-mld-snooping-yang-17: (with COMMENT)

    Hi Éric,

    BR/Hongji
    赵宏吉

    -----Original Message-----
    From: Éric Vyncke via Datatracker <[email-masked]> 
    Sent: Thursday, July 9, 2020 3:06 PM
    To: The IESG <[email-masked]>
    Cc: [email-masked]; [email-masked]; [email-masked]; Stig Venaas <[email-masked]>; [email-masked]; [email-masked]
    Subject: Éric Vyncke's No Objection on draft-ietf-pim-igmp-mld-snooping-yang-17: (with COMMENT)

    == COMMENTS ==

    -- Section 1.1 --

    -- Section 2.3 --

    -- Section 4 --